Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Functions
tests.h File Reference

## Functions
void | test_nccreate (char *)
void | test_ncopen (char *)
void | test_ncredef (char *)
void | test_ncendef (char *)
void | test_ncclose (char *)
void | test_ncinquire (char *)
void | test_ncsync (char *)
void | test_ncabort (char *)
void | test_ncdimdef (char *)
void | test_ncdimid (char *)
void | test_ncdiminq (char *)
void | test_ncdimrename (char *)
void | test_ncvardef (char *)
void | test_ncvarid (char *)
void | test_ncvarinq (char *)
void | test_ncvarput1 (char *)
void | test_ncvarget1 (char *)
void | test_ncvarput (char *)
void | test_ncvarget (char *)
void | test_ncvarputg (char *)
void | test_ncvargetg (char *)
void | test_ncvarget_unlim (char *)
void | test_ncrecinq (char *)
void | test_ncrecput (char *)
void | test_ncrecget (char *)
void | test_ncvarrename (char *)
void | test_ncattput (char *)
void | test_ncattinq (char *)
void | test_ncattget (char *)
void | test_ncattcopy (char *, const char *)
void | test_ncattname (char *)
void | test_ncattrename (char *)
void | test_ncattdel (char *)
void | test_nctypelen (void)
int | test_varputget (int)
int | test_varputgetg (int)
int | test_slabs (int)

## Function Documentation

## ◆ test_ncabort()

void test_ncabort | ( | char * |  | ) |
| extern

## ◆ test_ncattcopy()

void test_ncattcopy | ( | char * | ,
|  | const char * | )
| extern

## ◆ test_ncattdel()

void test_ncattdel | ( | char * |  | ) |
| extern

## ◆ test_ncattget()

void test_ncattget | ( | char * |  | ) |
| extern

## ◆ test_ncattinq()

void test_ncattinq | ( | char * |  | ) |
| extern

## ◆ test_ncattname()

void test_ncattname | ( | char * |  | ) |
| extern

## ◆ test_ncattput()

void test_ncattput | ( | char * |  | ) |
| extern

## ◆ test_ncattrename()

void test_ncattrename | ( | char * |  | ) |
| extern

## ◆ test_ncclose()

void test_ncclose | ( | char * |  | ) |
| extern

## ◆ test_nccreate()

void test_nccreate | ( | char * |  | ) |
| extern

## ◆ test_ncdimdef()

void test_ncdimdef | ( | char * |  | ) |
| extern

## ◆ test_ncdimid()

void test_ncdimid | ( | char * |  | ) |
| extern

## ◆ test_ncdiminq()

void test_ncdiminq | ( | char * |  | ) |
| extern

## ◆ test_ncdimrename()

void test_ncdimrename | ( | char * |  | ) |
| extern

## ◆ test_ncendef()

void test_ncendef | ( | char * |  | ) |
| extern

## ◆ test_ncinquire()

void test_ncinquire | ( | char * |  | ) |
| extern

## ◆ test_ncopen()

void test_ncopen | ( | char * |  | ) |
| extern

## ◆ test_ncrecget()

void test_ncrecget | ( | char * |  | ) |
| extern

## ◆ test_ncrecinq()

void test_ncrecinq | ( | char * |  | ) |
| extern

## ◆ test_ncrecput()

void test_ncrecput | ( | char * |  | ) |
| extern

## ◆ test_ncredef()

void test_ncredef | ( | char * |  | ) |
| extern

## ◆ test_ncsync()

void test_ncsync | ( | char * |  | ) |
| extern

## ◆ test_nctypelen()

void test_nctypelen | ( | void |  | ) |
| extern

## ◆ test_ncvardef()

void test_ncvardef | ( | char * |  | ) |
| extern

## ◆ test_ncvarget()

void test_ncvarget | ( | char * |  | ) |
| extern

## ◆ test_ncvarget1()

void test_ncvarget1 | ( | char * |  | ) |
| extern

## ◆ test_ncvarget_unlim()

void test_ncvarget_unlim | ( | char * |  | ) |
| extern

## ◆ test_ncvargetg()

void test_ncvargetg | ( | char * |  | ) |
| extern

## ◆ test_ncvarid()

void test_ncvarid | ( | char * |  | ) |
| extern

## ◆ test_ncvarinq()

void test_ncvarinq | ( | char * |  | ) |
| extern

## ◆ test_ncvarput()

void test_ncvarput | ( | char * |  | ) |
| extern

## ◆ test_ncvarput1()

void test_ncvarput1 | ( | char * |  | ) |
| extern

## ◆ test_ncvarputg()

void test_ncvarputg | ( | char * |  | ) |
| extern

## ◆ test_ncvarrename()

void test_ncvarrename | ( | char * |  | ) |
| extern

## ◆ test_slabs()

int test_slabs | ( | int |  | ) |
| extern

## ◆ test_varputget()

int test_varputget | ( | int |  | ) |
| extern

## ◆ test_varputgetg()

int test_varputgetg | ( | int |  | ) |
| extern